<form method="get" action="https://duckduckgo.com/" style="display: inline; white-space: nowrap;"> 
    <input type="submit" value="Find"> 
    <input size="25" name="q" style="margin-right:10px">
    <input type="hidden" name="sites" value="mycodestory.ru">
</form>